image: zacharyk/yds-image

stages:
  - install
  - deploy

install:
  stage: install
  script:
    - yarn
  cache:
    key: $CI_COMMIT_REF_SLUG-$CI_PROJECT_DIR
    paths:
      - node_modules/
  only:
    refs:
      - master
    changes:
      - yarn.lock

deploy_prod:
  stage: deploy
  cache:
    key: $CI_COMMIT_REF_SLUG-$CI_PROJECT_DIR
    paths:
      - node_modules/
    policy: pull
  script:
    - export AWS_ACCESS_KEY_ID=$AWS_ACCESS_KEY_ID
    - export AWS_SECRET_ACCESS_KEY=$AWS_SECRET_ACCESS_KEY
    - export AWS_DEFAULT_REGION=$AWS_DEFAULT_REGION
    - export CI=false
    - export S3_BUCKET=s3://spendalittle
    - export CLOUDFRONT_ID=E2CJ43FKF846CP
    - yarn build
    - aws s3 sync --delete build $S3_BUCKET
    - export AWS_DEFAULT_REGION=$AWS_CLOUDFRONT_REGION
    - aws cloudfront create-invalidation --distribution-id $CLOUDFRONT_ID --paths "/*"
  environment:
    name: prod
  dependencies: []
  only:
    - master
